Page MenuHomePhabricator

macOS graphical programs crash on termination
Closed, ResolvedPublic

Description

Evas has a problem with pthread_join when shutting down. It results in an "illegal hardware instruction" and program termination before the shutdown can finish.

That's very annoying because macOS will pop the crash reporter every time we close a program that uses Evas (so basically all GUI stuff).

jayji created this task.Mar 4 2017, 10:33 PM
jayji added a comment.Mar 5 2017, 5:14 AM

Interestingly enough, this bug is specific to Sierra, it does not show up with el capitan...

We still have this as a release blocker here. Any chance we can narrow this down a bit?

If this only happens in the shutdown routine we might just not do it during shutdown and let the system deal with it? Obviously only as a bandaid until we find a real fix. This would at least allow us to avoid the crash dialog and mitigate this problem for the pending release.

jayji added a comment.Mar 23 2017, 1:25 PM

We still have this as a release blocker here. Any chance we can narrow this down a bit?

Yep... well... I'm not gonna lie... it's pretty bad :/ I have no clue of what's going on, and no tool to assist me.

I can drop a patch to disable parts of the EFL shutdown on osx only, so the release can happen.
I was afraid to do this, but since you are the one who proposed the idea... I'm ready for a kludge :)

@stefan_schmidt Here is the evil: https://git.enlightenment.org/core/efl.git/commit/?h=devs/jayji/kludge
Feel free to push it/rewrite the description if necessary.

I was going to say it's fixed here but I was testing on an El Capitan box - oops.
Won't be back on sierra until Monday evening, sorry

ok, I went ahead and applied the kludge for now. There is really no need to keep the pressure on you for the release. :)

Please also try to remember that we want to remove this after the release.

@jayji we are approaching 1.20 now and I think this problem has not changed yet?

Are we in the same situation as for 1.19 and might need to apply kludge for the release again?

Hi, all my first contribution to the world of enlightenment. I am on osx sierra and I am getting this back trace when i terminate efler with cmd+c on the terminal

I am not sure if this will help in solving this issue but I can help test and with guidance fix the code.

Process: efler [2369]
Path: /opt/efler/*/efler
Identifier: efler
Version: 0
Code Type: X86-64 (Native)
Parent Process: bash [2227]
Responsible: efler [2369]
User ID: 501

Date/Time: 2017-07-16 15:08:43.462 +0200
OS Version: Mac OS X 10.12.5 (16F73)
Report Version: 12
Anonymous UUID: 8E00B67B-FF16-A2DA-ECA5-FBD136E8DB60

Sleep/Wake UUID: F3610F6F-948C-479D-898F-B427F990D31F

Time Awake Since Boot: 3900 seconds
Time Since Wake: 2800 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_INSTRUCTION (SIGILL)
Exception Codes: 0x0000000000000001, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Illegal instruction: 4
Termination Reason: Namespace SIGNAL, Code 0x4
Terminating Process: exc handler [0]

Application Specific Information:
BUG IN CLIENT OF LIBPLATFORM: Failed to allocate memory for string

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 dyld 0x000000011346b4e7 _simple_salloc + 122
1 dyld 0x0000000113448495 dyld::mkstringf(char const*, ...) + 121
2 dyld 0x0000000113454cfc dlsym + 1338
3 libdyld.dylib 0x00007fff9bef78d0 dlsym + 72
4 libeina.1.dylib 0x000000010d8df79b eina_module_unload + 139 (eina_module.c:369)
5 libelementary.1.dylib 0x000000010c3faf68 _elm_module_unload + 136 (elm_module.c:194)
6 libelementary.1.dylib 0x000000010c3fa7e5 _elm_module_del + 53 (elm_module.c:231)
7 libelementary.1.dylib 0x000000010c3fa6ee _elm_module_shutdown + 158 (elm_module.c:57)
8 libelementary.1.dylib 0x000000010c3d2e84 elm_quicklaunch_sub_shutdown + 100 (elm_main.c:836)
9 libelementary.1.dylib 0x000000010c3d2dfc elm_shutdown + 204 (elm_main.c:453)
10 efler 0x000000010c21ca58 elm_main + 440 (efler_main.c:699)
11 efler 0x000000010c21d7f1 main + 65 (efler_main.c:703)
12 libdyld.dylib 0x00007fff9befa235 start + 1

Thread 1:
0 libsystem_kernel.dylib 0x00007fff9c028c22 __psynch_mutexwait + 10
1 libsystem_pthread.dylib 0x00007fff9c113dfa _pthread_mutex_lock_wait + 100
2 libeina.1.dylib 0x000000010d8bb0fc eina_lock_take + 28 (eina_inline_lock_posix.x:214)
3 libeina.1.dylib 0x000000010d8bb17b _sysmon + 27 (eina_debug_cpu.c:80)
4 libsystem_pthread.dylib 0x00007fff9c11393b _pthread_body + 180
5 libsystem_pthread.dylib 0x00007fff9c113887 _pthread_start + 286
6 libsystem_pthread.dylib 0x00007fff9c11308d thread_start + 13

Thread 2:
0 libsystem_kernel.dylib 0x00007fff9c028bf2 __psynch_cvwait + 10
1 libsystem_pthread.dylib 0x00007fff9c1147fa _pthread_cond_wait + 712
2 libevas.1.dylib 0x000000010cc2e424 eina_condition_wait + 36 (eina_inline_lock_posix.x:351)
3 libevas.1.dylib 0x000000010cc2e8ac evas_thread_worker_func + 124 (evas_thread_render.c:127)
4 libeina.1.dylib 0x000000010d8f6b7b _eina_internal_call + 219 (eina_thread.c:148)
5 libsystem_pthread.dylib 0x00007fff9c11393b _pthread_body + 180
6 libsystem_pthread.dylib 0x00007fff9c113887 _pthread_start + 286
7 libsystem_pthread.dylib 0x00007fff9c11308d thread_start + 13

Thread 3:
0 libsystem_kernel.dylib 0x00007fff9c028eb6 __select + 10
1 libecore.1.dylib 0x000000010d63fc0a _timer_tick_core + 618 (ecore_anim.c:308)
2 libecore.1.dylib 0x000000010d66e765 _ecore_direct_worker + 197 (ecore_thread.c:475)
3 libeina.1.dylib 0x000000010d8f6b7b _eina_internal_call + 219 (eina_thread.c:148)
4 libsystem_pthread.dylib 0x00007fff9c11393b _pthread_body + 180
5 libsystem_pthread.dylib 0x00007fff9c113887 _pthread_start + 286
6 libsystem_pthread.dylib 0x00007fff9c11308d thread_start + 13

Thread 4:: com.apple.NSEventThread
0 libsystem_kernel.dylib 0x00007fff9c02134a mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff9c020797 mach_msg + 55
2 com.apple.CoreFoundation 0x00007fff86781434 CFRunLoopServiceMachPort + 212
3 com.apple.CoreFoundation 0x00007fff867808c1
CFRunLoopRun + 1361
4 com.apple.CoreFoundation 0x00007fff86780114 CFRunLoopRunSpecific + 420
5 com.apple.AppKit 0x00007fff843c7f02 _NSEventThread + 205
6 libsystem_pthread.dylib 0x00007fff9c11393b _pthread_body + 180
7 libsystem_pthread.dylib 0x00007fff9c113887 _pthread_start + 286
8 libsystem_pthread.dylib 0x00007fff9c11308d thread_start + 13

Thread 5:
0 libsystem_kernel.dylib 0x00007fff9c02944e __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff9c113621 _pthread_wqthread + 1426
2 libsystem_pthread.dylib 0x00007fff9c11307d start_wqthread + 13

Thread 6:
0 libsystem_kernel.dylib 0x00007fff9c02944e __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff9c113621 _pthread_wqthread + 1426
2 libsystem_pthread.dylib 0x00007fff9c11307d start_wqthread + 13

Thread 7:
0 libsystem_pthread.dylib 0x00007fff9c113070 start_wqthread + 0
1 ??? 0x0000700002072b80 0 + 123145336335232

Thread 0 crashed with X86 Thread State (64-bit):
rax: 0x0000000010000003 rbx: 0x00007fff539e47c0 rcx: 0x0000000113479140 rdx: 0x0000000010000003
rdi: 0x000000000000ba1b rsi: 0x0000000000000003 rbp: 0x00007fff539e46b0 rsp: 0x00007fff539e46a0
r8: 0x000000000000ba1b r9: 0x0000000000000034 r10: 0x0000000000000034 r11: 0x0000000000000206
r12: 0x0000000113487ae8 r13: 0x00007fff539e47e0 r14: 0x0000000113474c42 r15: 0x50f8becdb6dd007e
rip: 0x000000011346b4e7 rfl: 0x0000000000010206 cr2: 0x000000010d9ef47c

Logical CPU: 1
Error Code: 0x00000000
Trap Number: 6

Binary Images:
0x10c21b000 - 0x10c21eff3 +efler (0) <FCCC7F69-9A00-31AB-9BFB-5870CE1308AD> /opt/efler/*/efler
0x10c228000 - 0x10c22afff +libefler.0.dylib (0) <B2DE5AED-F582-3604-9F3E-712EB9B0C0AB> /opt/efler/*/libefler.0.dylib
0x10c234000 - 0x10c52dff3 +libelementary.1.dylib (0) <718E81FA-99C4-3268-AFCC-D4879CC61A04> /opt/efler/*/libelementary.1.dylib
0x10c7ef000 - 0x10c7f6ff3 +libecore_cocoa.1.dylib (0) <F42834BD-24F6-30FB-931A-C43D9BA2D42D> /opt/efler/*/libecore_cocoa.1.dylib
0x10c805000 - 0x10c80dfff +libelocation.1.dylib (0) <3D8B6DA3-9AF4-398C-94C7-DDFB7B1FDCB6> /opt/efler/*/libelocation.1.dylib
0x10c817000 - 0x10c81dffb +libethumb_client.1.dylib (0) <96977B90-230D-3418-B77F-22F96FF6BD42> /opt/efler/*/libethumb_client.1.dylib
0x10c825000 - 0x10c82efff +libethumb.1.dylib (0) <8D065C8C-0FD4-3FB5-A989-6DFE9652AF6C> /opt/efler/*/libethumb.1.dylib
0x10c83a000 - 0x10c95affb +libedje.1.dylib (0) <66FF800F-4B42-3A48-92B7-51F491CDDC11> /opt/efler/*/libedje.1.dylib
0x10c9de000 - 0x10c9e8fff +libembryo.1.dylib (0) <1415D412-AA70-3C93-B7B4-28BDFAB57972> /opt/efler/*/libembryo.1.dylib
0x10c9f4000 - 0x10c9f5ff7 +libecore_imf_evas.1.dylib (0) <35E266DD-0073-3DA0-A81C-3C88D50C64F6> /opt/efler/*/libecore_imf_evas.1.dylib
0x10c9ff000 - 0x10ca1fff3 +libecore_evas.1.dylib (0) <D7A8334E-C9C2-36A2-9BC7-8F77DC1CE332> /opt/efler/*/libecore_evas.1.dylib
0x10ca3c000 - 0x10ca3ffff +libecore_input_evas.1.dylib (0) <495850B6-D363-3634-BF76-9FF381D36882> /opt/efler/*/libecore_input_evas.1.dylib
0x10ca48000 - 0x10ca5cffb +libemotion.1.dylib (0) <CC026B16-8DF2-399F-8626-A76A7E18A497> /opt/efler/*/libemotion.1.dylib
0x10ca72000 - 0x10cd02ff3 +libevas.1.dylib (0) <614C81F5-4A5A-3A21-9577-8BD67D581F00> /opt/efler/*/libevas.1.dylib
0x10cea3000 - 0x10ceb6ff3 +libfribidi.0.dylib (0) <F3A6C7B5-D3BF-383E-8E3C-775822DC8305> /usr/local/opt/fribidi/lib/libfribidi.0.dylib
0x10cebd000 - 0x10ceeaff7 +libfontconfig.1.dylib (0) <1C894700-26A4-3761-8A4C-8F4D52FECED9> /usr/local/opt/fontconfig/lib/libfontconfig.1.dylib
0x10ceff000 - 0x10cf77ffb +libfreetype.6.dylib (0) <B0F3A7BB-31C2-3D6F-B659-5344922BFFE4> /usr/local/opt/freetype/lib/libfreetype.6.dylib
0x10cf96000 - 0x10d017ff7 +libluajit-5.1.2.dylib (0) <071439AC-F0B9-34C7-982A-950DC06765F6> /usr/local/opt/luajit/lib/libluajit-5.1.2.dylib
0x10d020000 - 0x10d058ff3 +libector.1.dylib (0) <5F0C9A0F-D38E-3BBB-BA58-77FB2BD0A915> /opt/efler/*/libector.1.dylib
0x10d08d000 - 0x10d0b0ffb +libpng16.16.dylib (0) <BF11B2F0-79F4-3745-9C98-D7CE29BA4D65> /usr/local/opt/libpng/lib/libpng16.16.dylib
0x10d0b9000 - 0x10d0bbff7 +module.so (0) <38E17D24-6D86-3478-88DF-FA4F604A5C7F> /opt/efler/*/module.so
0x10d0c0000 - 0x10d0c6fff +libecore_imf.1.dylib (0) <09BCA79B-79AB-3FE4-9D5F-F7223DC4E3E9> /opt/efler/*/libecore_imf.1.dylib
0x10d0ce000 - 0x10d0defff +libecore_input.1.dylib (0) <E251F143-11E9-3EF7-8DCF-EC80F28AC119> /opt/efler/*/libecore_input.1.dylib
0x10d0e8000 - 0x10d122fff +libeldbus.1.dylib (0) <61353A44-6009-3E1D-9C33-7CE57C2FF3D1> /opt/efler/*/libeldbus.1.dylib
0x10d14a000 - 0x10d177ffb +libdbus-1.3.dylib (0) <2882F0E7-79C2-366B-94D9-4642A7A30A8C> /usr/local/opt/dbus/lib/libdbus-1.3.dylib
0x10d18c000 - 0x10d18dff3 +libefreet_trash.1.dylib (0) <A0D24312-E816-3182-B0B9-AC5848311989> /opt/efler/*/libefreet_trash.1.dylib
0x10d193000 - 0x10d1abff3 +libeio.1.dylib (0) <9A3301EE-1A6D-3A9C-8AC0-EDC6C2C13655> /opt/efler/*/libeio.1.dylib
0x10d1c2000 - 0x10d1c6ffb +libefreet_mime.1.dylib (0) <8FC05983-8BC9-3965-9A48-917CD1DADCBA> /opt/efler/*/libefreet_mime.1.dylib
0x10d1d0000 - 0x10d1f2fff +libefreet.1.dylib (0) <0AF64C9B-B157-31F7-ABD1-8953D2B9E578> /opt/efler/*/libefreet.1.dylib
0x10d20d000 - 0x10d216ff7 +libecore_ipc.1.dylib (0) <1E91BB0B-FBC8-3A11-AF78-4DEA0BC4A5CC> /opt/efler/*/libecore_ipc.1.dylib
0x10d21e000 - 0x10d223ff7 +libecore_file.1.dylib (0) <056F6018-7AA1-3963-AD21-DFEC64DA4F68> /opt/efler/*/libecore_file.1.dylib
0x10d22d000 - 0x10d2a4fff +libecore_con.1.dylib (0) <A0BB465A-5FA7-352D-BDCD-767B28BE9F30> /opt/efler/*/libecore_con.1.dylib
0x10d318000 - 0x10d343fff +libeet.1.dylib (0) <5F0C28DC-A636-35A5-90BE-F2F898BE2505> /opt/efler/*/libeet.1.dylib
0x10d363000 - 0x10d398ff7 +libemile.1.dylib (0) <396520C7-4BDC-33EC-9E89-22510A7EC316> /opt/efler/*/libemile.1.dylib
0x10d3b3000 - 0x10d3f4ff7 +libssl.1.0.0.dylib (0) <35C152E0-7168-3B99-94AB-ECA04D3B3DB5> /usr/local/opt/openssl/lib/libssl.1.0.0.dylib
0x10d415000 - 0x10d585727 +libcrypto.1.0.0.dylib (0) <11B495A9-782C-3FB0-9729-ACFCD9F4F53E> /usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib
0x10d603000 - 0x10d62eff7 +libjpeg.8.dylib (0) <F058D36A-6433-3380-A15D-BF1B2C7CCC5B> /usr/local/opt/jpeg/lib/libjpeg.8.dylib
0x10d63a000 - 0x10d67bffb +libecore.1.dylib (0) <587CB7D6-BE97-3C1F-BE89-244C8A0723EE> /opt/efler/*/libecore.1.dylib
0x10d6d0000 - 0x10d6d2fff +libgthread-2.0.0.dylib (0) <3D5CB823-2538-3931-9F81-2124EF0C2280> /usr/local/opt/glib/lib/libgthread-2.0.0.dylib
0x10d6da000 - 0x10d7a2ff3 +libglib-2.0.0.dylib (0) <9065F724-A25A-392C-95AD-3C70ECB2D0D3> /usr/local/opt/glib/lib/libglib-2.0.0.dylib
0x10d7ce000 - 0x10d7d6ff3 +libintl.8.dylib (0) <9A1967E0-AC59-3EF6-B14F-643AF08A6B4F> /usr/local/opt/gettext/lib/libintl.8.dylib
0x10d7dc000 - 0x10d824ffb +libefl.1.dylib (0) <ADAA9199-D0CB-3948-8531-10E7C878A139> /opt/efler/*/libefl.1.dylib
0x10d883000 - 0x10d899ff7 +libeo.1.dylib (0) <0E01A67A-F115-343C-8CDA-40E87AF59262> /opt/efler/*/libeo.1.dylib
0x10d8b1000 - 0x10d927fff +libeina.1.dylib (0) <F8C35800-26AD-3209-BD57-7F88DC03E0CE> /opt/efler/*/libeina.1.dylib
0x10d97e000 - 0x10d9e5ffb +libpcre.1.dylib (0) <B3F0B3AB-EC6D-38C7-86EE-4670ED212C9D> /usr/local/opt/pcre/lib/libpcre.1.dylib
0x10d9ef000 - 0x10da08ffb libexpat.1.dylib (15) <F48F1B7B-BEB4-32EE-8C5D-0370096F3864> /usr/lib/libexpat.1.dylib
0x10fcd5000 - 0x10fce3ffb +module.so (0) <67441F58-8114-35FD-8DA4-D63DFF773434> /opt/efler/*/module.so
0x10fcee000 - 0x10fcefff3 +module.so (0) <5003A46A-E4B5-3E19-93D1-69627ADC8EC7> /opt/efler/*/module.so
0x10ff24000 - 0x10ff27ff7 +module.so (0) <DD0ED249-DBC2-339A-825A-001F7137FDCB> /opt/efler/*/module.so
0x10ff2c000 - 0x10ff56fff GLRendererFloat (14.0.16) <8D11C08E-8249-38DB-9856-BFC01EEDE0CB> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
0x110c7a000 - 0x110d76ff3 +module.so (0) <C5157985-37DD-36DD-A603-4360805651EC> /opt/efler/*/module.so
0x110dec000 - 0x110f92fff GLEngine (14.0.16) <1999FBF9-0B82-34B1-8876-87B4F82101BB> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x110fd1000 - 0x11152cff7 com.apple.driver.AppleIntelHD5000GraphicsGLDriver (10.25.13 - 10.2.5) <2C0CF883-843A-3CCF-BE6C-2AA7DE5F4E61> /System/Library/Extensions/AppleIntelHD5000GraphicsGLDriver.bundle/Contents/MacOS/AppleIntelHD5000GraphicsGLDriver
0x11231a000 - 0x112339fff +module.so (0) <DA8BA737-2AEA-3791-8A63-E1AA167CE6E5> /opt/efler/*/module.so
0x113267000 - 0x1132dfff7 com.apple.driver.AppleIntelHD5000GraphicsMTLDriver (10.25.13 - 10.2.5) <77FF34DB-2688-393A-BBBA-456DF3834B7F> /System/Library/Extensions/AppleIntelHD5000GraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelHD5000GraphicsMTLDriver
0x113447000 - 0x113484dc7 dyld (433.5) <322C06B7-8878-311D-888C-C8FD2CA96FF3> /usr/lib/dyld
0x7fff83256000 - 0x7fff83256fff com.apple.Accelerate (1.11 - Accelerate 1.11) <916E360F-323C-3AE1-AB3D-D1F3B284AEE9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x7fff83257000 - 0x7fff8326effb libCGInterfaces.dylib (331.5) <17109679-A284-3C72-AA60-DBA815D3062B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
0x7fff8326f000 - 0x7fff83788feb com.apple.vImage (8.1 - ???) <B58A7937-BEE2-38FE-87F4-5D5F40D31DC9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x7fff83789000 - 0x7fff838faff3 libBLAS.dylib (1185.50.4) <4087FFE0-627E-3623-96B4-F0A9A1991E09> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x7fff838fb000 - 0x7fff8390fffb libBNNS.dylib (15) <254698C7-7D36-3FFF-864E-ADEEEE543076> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
0x7fff83910000 - 0x7fff83d06fef libLAPACK.dylib (1185.50.4) <C35FFB2F-A0E6-3903-8A3C-113A74BCBCA2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x7fff83d07000 - 0x7fff83d1dfff libLinearAlgebra.dylib (1185.50.4) <345CAACF-7263-36EF-B69B-793EA8B390AF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
0x7fff83d1e000 - 0x7fff83d24fff libQuadrature.dylib (3) <EF56C8E6-DE22-3C69-B543-A8648F335FDD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
0x7fff83d25000 - 0x7fff83d39ff7 libSparseBLAS.dylib (1185.50.4) <67BA432E-FB59-3C78-A8BE-ED4274CBC359> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
0x7fff83d3a000 - 0x7fff83ec1fe7 libvDSP.dylib (600.60.1) <4155F45B-41CD-3782-AE8F-7AE740FD83C3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x7fff83ec2000 - 0x7fff83f74fff libvMisc.dylib (600.60.1) <98F27D2D-E5DD-38EF-8747-0C4DE821A23D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x7fff83f75000 - 0x7fff83f75fff com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <7C5733E7-0568-3E7D-AF61-160F19FED544> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x7fff84234000 - 0x7fff8500dff3 com.apple.AppKit (6.9 - 1504.83.101) <EC7BD195-F9E1-3E43-820A-5FDD0B2B0B67> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x7fff8501f000 - 0x7fff8501ffff com.apple.ApplicationServices (48 - 48) <4C71CBA8-47E4-38BF-BE3B-F20DF8667D5D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x7fff85020000 - 0x7fff8508eff7 com.apple.ApplicationServices.ATS (377 - 422.2) <A31D17BE-F747-39FB-9A84-5F2F8891204C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x7fff85128000 - 0x7fff85257ff7 libFontParser.dylib (194.12) <73C3946D-EF92-3AC1-89C3-0E75B2A85325> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x7fff85258000 - 0x7fff852a2fff libFontRegistry.dylib (196.4) <EA96AE47-3369-3DEA-BB82-98348ADBD85B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x7fff852ff000 - 0x7fff85332fff libTrueTypeScaler.dylib (194.12) <8944A23A-EE36-3657-9B4F-933231C8FDEC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x7fff8539f000 - 0x7fff85449ff7 com.apple.ColorSync (4.12.0 - 502.2) <ACA4001E-A0E3-33F6-9CD6-EEC2AA15E322> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x7fff8544a000 - 0x7fff8549bfff com.apple.HIServices (1.22 - 592.1) <7353E76E-9A3A-3693-87AF-41953585E024> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x7fff8549c000 - 0x7fff854abff3 com.apple.LangAnalysis (1.7.0 - 1.7.0) <2CBE7F61-2056-3F96-99A1-0D527796AFA6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x7fff854ac000 - 0x7fff854f9fff com.apple.print.framework.PrintCore (12 - 491) <5027FD58-F0EE-33E4-8577-934CA06CD2AF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x7fff854fa000 - 0x7fff85535fff com.apple.QD (3.12 - 313) <B339C41D-8CDF-3342-8414-F9717DCCADD4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x7fff85536000 - 0x7fff85541fff com.apple.speech.synthesis.framework (6.6.2 - 6.6.2) <7853EFF4-62B9-394E-B7B8-41A645656820> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x7fff85542000 - 0x7fff8574efff com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <91D2BA22-B168-3A9A-9008-6FFC5A8FDC1E> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x7fff8574f000 - 0x7fff8574ffff com.apple.audio.units.AudioUnit (1.14 - 1.14) <8C0153FD-FEFF-309C-AACD-BF9657A31F8E> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x7fff858b8000 - 0x7fff85c92fff com.apple.CFNetwork (811.5.4 - 811.5.4) <4DBF8932-6286-3B23-87D9-63615B9958D9> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x7fff85cac000 - 0x7fff85cacfff com.apple.Carbon (154 - 157) <69F403C7-F0CB-34E6-89B0-235CF4978C17> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x7fff85cad000 - 0x7fff85cb0fff com.apple.CommonPanels (1.2.6 - 98) <BF04BB22-D54C-309E-9F5C-897D969CAF70> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x7fff85cb1000 - 0x7fff85fbafff com.apple.HIToolbox (2.1.1 - 857.8) <CAB143FE-AEAF-3EDE-AD7B-C04E1B7C5615> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x7fff85fbb000 - 0x7fff85fbeff7 com.apple.help (1.3.5 - 49) <B1A930E3-5907-3677-BACD-858EF68B172D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x7fff85fbf000 - 0x7fff85fc4fff com.apple.ImageCapture (9.0 - 9.0) <341252B4-E082-361A-B756-6A330259C741> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x7fff85fc5000 - 0x7fff8605cff3 com.apple.ink.framework (10.9 - 219) <1BD40B45-FD33-3177-A935-565EE5FC79D7> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x7fff8605d000 - 0x7fff86077fff com.apple.openscripting (1.7 - 172) <31CFBB35-24BD-3E12-9B6B-1FA842FB605B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x7fff86078000 - 0x7fff86079ff3 com.apple.print.framework.Print (12 - 267) <E2F82F1F-DC27-3EF0-9F75-B354F701450A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x7fff8607a000 - 0x7fff8607cff7 com.apple.securityhi (9.0 - 55006) <DBD65629-535D-3669-8218-7F074D61638C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x7fff8607d000 - 0x7fff86083ff7 com.apple.speech.recognition.framework (6.0.1 - 6.0.1) <082895DC-3AC7-3DEF-ADCA-5B018C19C9D3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x7fff86164000 - 0x7fff86164fff com.apple.Cocoa (6.11 - 22) <85EDFBE1-75F0-369E-8CA8-C6A639B98FA6> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x7fff862ae000 - 0x7fff8633bfff com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <78767F88-91D4-31CE-AAC6-1F9407F479BB> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x7fff8633c000 - 0x7fff8634ffff com.apple.CoreBluetooth (1.0 - 1) <BCB78777-76F0-3CC1-8443-9E61AEF7EF63> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
0x7fff86350000 - 0x7fff8664bfff com.apple.CoreData (120 - 754.2) <4C9CAB2C-60D4-3694-A0A0-5B04B14BD14E> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x7fff8664c000 - 0x7fff866f8ff7 com.apple.CoreDisplay (1.0 - 1) <AAD5DF0B-0D22-305E-86FF-BB1431130363> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
0x7fff866f9000 - 0x7fff86b92ff7 com.apple.CoreFoundation (6.9 - 1349.8) <09ED473E-5DE8-307F-B55C-16F6419236D5> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x7fff86b93000 - 0x7fff87215fff com.apple.CoreGraphics (2.0 - 1070.22) <78E7C882-837D-3CC3-B221-767B999873CE> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x7fff87216000 - 0x7fff87459ffb com.apple.CoreImage (12.4.0 - 451.4.9) <BE4303C9-C9D9-361D-AC94-DBE40EB6700E> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x7fff875be000 - 0x7fff875befff com.apple.CoreServices (775.19 - 775.19) <7255917D-EFBB-3BE2-A8FD-DAD631BC0949> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x7fff875bf000 - 0x7fff87610fff com.apple.AE (712.5 - 712.5) <61F2AE2C-E04E-3FDF-9E88-201325136C83> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x7fff87611000 - 0x7fff878ecff7 com.apple.CoreServices.CarbonCore (1159.6 - 1159.6) <08AC074C-965B-3EDF-8E45-0707C8DE9EAD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x7fff878ed000 - 0x7fff87920fff com.apple.DictionaryServices (1.2 - 274) <D23866E2-F7C8-3984-A9D4-96552CCDE573> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x7fff87921000 - 0x7fff87929ff3 com.apple.CoreServices.FSEvents (1230.50.1 - 1230.50.1) <2AD1B0E5-7214-37C4-8D11-A27C9CAC0F74> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
0x7fff8792a000 - 0x7fff87a96ff7 com.apple.LaunchServices (775.19 - 775.19) <94D15A2A-852C-3B4B-A701-43043C8F1527> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x7fff87a97000 - 0x7fff87b47ffb com.apple.Metadata (10.7.0 - 1075.40) <DA911E1B-3977-386D-930D-96BD5085CB8E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x7fff87b48000 - 0x7fff87ba7fff com.apple.CoreServices.OSServices (775.19 - 775.19) <C709A773-4FA0-33DD-B3E2-FBA41E00F177> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x7fff87ba8000 - 0x7fff87c18fff com.apple.SearchKit (1.4.0 - 1.4.0) <7A6DDA2B-03F1-3137-BA9E-1CC211973E26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x7fff87c19000 - 0x7fff87c5eff7 com.apple.coreservices.SharedFileList (38 - 38) <DA096678-93AB-3291-BDE2-482F1D544589> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
0x7fff87ce7000 - 0x7fff87e34ffb com.apple.CoreText (352.0 - 544.15) <BF0EE575-BB7E-3BF9-9029-232B4ADC24E4> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x7fff87e35000 - 0x7fff87e6aff3 com.apple.CoreVideo (1.8 - 235.3) <AC11D5FB-C77B-34F5-B942-F698E84C229F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x7fff87e6b000 - 0x7fff87edcffb com.apple.framework.CoreWLAN (11.0 - 1200.31) <E47C0568-E37B-3052-9E77-F0F371DCDE7F> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
0x7fff87fda000 - 0x7fff87fdffff com.apple.DiskArbitration (2.7 - 2.7) <8AC72143-D3C4-3AA6-84DF-734E3AFAC49B> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x7fff88171000 - 0x7fff88517ff3 com.apple.Foundation (6.9 - 1349.81) <730B7944-BB43-35D5-A546-9F6CCED4B9F3> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x7fff88543000 - 0x7fff88574ff7 com.apple.GSS (4.0 - 2.0) <6FADED0B-0425-3567-A75A-040C5A4638EB> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x7fff88634000 - 0x7fff886d7ffb com.apple.Bluetooth (5.0.4 - 5.0.4f18) <B3FED7E7-45EE-32DD-B59E-7942BCE9426C> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x7fff886d8000 - 0x7fff8876eff7 com.apple.framework.IOKit (2.0.2 - 1324.60.3) <7CE4C98B-107C-3AAA-B49A-F2ACFCBBF526> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x7fff8876f000 - 0x7fff88775ffb com.apple.IOSurface (159.7 - 159.7) <40550017-EF96-3C52-B400-806AFEE4B134> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x7fff887c8000 - 0x7fff88928fef com.apple.ImageIO.framework (3.3.0 - 1599.10.2) <87AA4D39-0AFC-3A34-98EF-02710E2BF3CA> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x7fff88929000 - 0x7fff8892dfff libGIF.dylib (1599.10.2) <6ED05614-1301-3452-943B-118F00F20C8D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x7fff8892e000 - 0x7fff88a1eff7 libJP2.dylib (1599.10.2) <72C00423-55F0-3CAD-B198-EF00950791E6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x7fff88a1f000 - 0x7fff88a42ffb libJPEG.dylib (1599.10.2) <78945614-990F-3705-A91C-46F717F7C635> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x7fff88a43000 - 0x7fff88a6aff7 libPng.dylib (1599.10.2) <B800C14F-6E41-36B6-8DC1-1AE97A83A964> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x7fff88a6b000 - 0x7fff88a6dff3 libRadiance.dylib (1599.10.2) <037D95B4-82A7-3A59-B3EB-0FF0977CF7A5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x7fff88a6e000 - 0x7fff88abcfff libTIFF.dylib (1599.10.2) <CA2C7BF9-FDDB-36CF-B063-B075B29F8878> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x7fff89823000 - 0x7fff8983cff7 com.apple.Kerberos (3.0 - 1) <B9D242EB-E325-3A21-9812-C77CBBFB0D51> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x7fff8983d000 - 0x7fff89873fff com.apple.LDAPFramework (2.4.28 - 194.5) <492ACA22-373E-3DD9-BAEB-9EF6AA962FD5> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x7fff8a01b000 - 0x7fff8a076fff com.apple.Metal (87.18 - 87.18) <5C2F12FB-45C1-3103-A827-3D225BF8D05A> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
0x7fff8a95f000 - 0x7fff8a967fff com.apple.NetFS (6.0 - 4.0) <14A24D00-5673-330A-959D-87F72040DEFF> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x7fff8ab3e000 - 0x7fff8ab46ff7 libcldcpuengine.dylib (2.8.5) <73E1E526-01DF-3199-9B48-155F0329EF44> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
0x7fff8ab47000 - 0x7fff8ab95ff3 com.apple.opencl (2.8.6 - 2.8.6) <5FAF6F49-2648-39E6-922B-5630A5D7F7E4> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x7fff8ab96000 - 0x7fff8abafffb com.apple.CFOpenDirectory (10.12 - 194) <A64E9A01-3F6E-36EA-9C10-88C564A68C9D> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x7fff8abb0000 - 0x7fff8abbbff7 com.apple.OpenDirectory (10.12 - 194) <4298FFD0-B1A7-3064-AF5B-708B3FA38671> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x7fff8abbc000 - 0x7fff8abbefff libCVMSPluginSupport.dylib (14.0.16) <A20EC348-37C9-33B6-9A81-06006F3214A1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x7fff8abbf000 - 0x7fff8abc2ff7 libCoreFSCache.dylib (156.3) <687C4CC3-6537-344B-8BE1-5234C8CB2864> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
0x7fff8abc3000 - 0x7fff8abc7fff libCoreVMClient.dylib (156.3) <E7AEFCBE-B6BF-3C7C-9A4E-E78CB04DB794> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x7fff8abc8000 - 0x7fff8abd1ff7 libGFXShared.dylib (14.0.16) <63542E68-EB1A-3ECF-AAFB-E7B8AB313C70> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x7fff8abd2000 - 0x7fff8abddfff libGL.dylib (14.0.16) <84BEED97-0A93-356D-A922-97EA311EA446> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x7fff8abde000 - 0x7fff8ac1aff7 libGLImage.dylib (14.0.16) <3518A85C-6905-3511-A6C9-2F82C519D28F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x7fff8ac1b000 - 0x7fff8ad91ff3 libGLProgrammability.dylib (14.0.16) <0EDA89D8-7C28-3D53-BDBA-7CB25232C329> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x7fff8ad92000 - 0x7fff8add3ff7 libGLU.dylib (14.0.16) <9860DCF7-56E0-3A8F-A377-52635C9D8B27> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x7fff8b73b000 - 0x7fff8b749fff com.apple.opengl (14.0.16 - 14.0.16) <27E7D76E-A26B-39F8-8CF2-AB57920776A3> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x7fff8c29b000 - 0x7fff8c49bfff com.apple.QuartzCore (1.11 - 453.39.3) <AB46D60D-17A8-3122-800E-2A9DA604FCBA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x7fff8ca02000 - 0x7fff8cd04ff7 com.apple.security (7.0 - 57740.60.18) <021AACF6-D15F-37E0-840B-88853684BA00> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x7fff8cd05000 - 0x7fff8cd7afff com.apple.securityfoundation (6.0 - 55132.50.7) <4433C0CC-FE90-3DD3-BAC1-CC31D515B510> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x7fff8cda5000 - 0x7fff8cda8ff3 com.apple.xpc.ServiceManagement (1.0 - 1) <9F285B19-B53B-3502-85A2-72C26DB40EA7> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x7fff8d12f000 - 0x7fff8d19eff7 com.apple.SystemConfiguration (1.14 - 1.14) <2412CDE0-C317-31EA-8F53-7A58BBFCC720> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x7fff8f9f3000 - 0x7fff8fa0eff3 com.apple.AppContainer (4.0 - 307.50.21) <C2E6BA3D-81FF-39C3-B4BF-DBB9A17DE078> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
0x7fff8fa0f000 - 0x7fff8fa1cff3 com.apple.AppSandbox (4.0 - 307.50.21) <BF9FA426-8C11-358B-9E1F-A3901E3F2B14> /System/Library/PrivateFrameworks/AppSandbox.framework/Versions/A/AppSandbox
0x7fff8fa1d000 - 0x7fff8fa3fffb com.apple.framework.Apple80211 (12.0 - 1200.47) <B692048E-1B61-3DAF-9CBA-4D314E7562DC> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x7fff8fa40000 - 0x7fff8fa4ffeb com.apple.AppleFSCompression (88.50.3 - 1.0) <478E8BFF-8BA2-375E-BE02-BA27F115C15A> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x7fff8fb43000 - 0x7fff8fbce97f com.apple.AppleJPEG (1.0 - 1) <B9E9570D-04A4-34E4-B756-D200043B25B8> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
0x7fff8fbfe000 - 0x7fff8fc06ffb com.apple.AppleSRP (5.0 - 1) <6AAE93B6-9816-35B2-9C59-D5C3218065AF> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
0x7fff90001000 - 0x7fff9007fff7 com.apple.backup.framework (1.8.5 - 1.8.5) <CC679891-E8F5-3166-8EB6-AEA06954A52D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x7fff90d0a000 - 0x7fff90d31ff3 com.apple.ChunkingLibrary (173 - 173) <FC2165F9-FC93-39C0-8323-C2F43A5E00A3> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
0x7fff91656000 - 0x7fff9165fffb com.apple.CommonAuth (4.0 - 2.0) <216950CB-269F-3476-BA17-D6363AC49FBC> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x7fff91c8e000 - 0x7fff91c96ffb com.apple.frameworks.CoreDaemon (1.3 - 1.3) <2AB86FAF-37B3-3323-9EF0-CA591B6E357C> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
0x7fff91da7000 - 0x7fff91db7fff com.apple.CoreEmoji (1.0 - 40.3.3) <E9A28301-2D79-3A97-A046-028258A6ABE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
0x7fff920f2000 - 0x7fff92122ff3 com.apple.CoreServicesInternal (276.2 - 276.2) <05EB7D45-DD4C-3A0F-AC63-A0C2A68E6481> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x7fff923b3000 - 0x7fff92442ff7 com.apple.CoreSymbolication (62046) <7839CD8E-011D-3567-88DE-3D472C661136> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x7fff92443000 - 0x7fff92582fe7 com.apple.coreui (2.1 - 431.3) <2E8FEC10-FC5B-3782-92DA-A85C24B7BF7C> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x7fff92583000 - 0x7fff92653ff3 com.apple.CoreUtils (5.1 - 510.31) <E68BB8ED-8874-36EC-A7C5-1017C0E727CB> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
0x7fff926a3000 - 0x7fff92708ff3 com.apple.framework.CoreWiFi (12.0 - 1200.31) <DF0972EF-F817-3FD3-8C00-2D57B8738D8C> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
0x7fff92709000 - 0x7fff92717ff7 com.apple.CrashReporterSupport (10.12 - 827) <14037A71-ECFE-394A-8D6E-2CECE98F02EE> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x7fff92789000 - 0x7fff92793ffb com.apple.framework.DFRFoundation (1.0 - 104.25) <7CFF896C-EF22-3941-BB3D-F3615CE4C908> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
0x7fff92794000 - 0x7fff92798ff3 com.apple.DSExternalDisplay (3.1 - 380) <A195C0CE-8E4E-384B-9556-8270E306FE1D> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
0x7fff927ce000 - 0x7fff92843ffb com.apple.datadetectorscore (7.0 - 539.1) <9C312AAC-8AEE-3C72-BDE5-7FBF62452525> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x7fff9287f000 - 0x7fff928befff com.apple.DebugSymbols (137 - 137) <58A70B66-2628-3CFE-B103-2200D95FC5F7> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x7fff928bf000 - 0x7fff929d0fff com.apple.desktopservices (1.11.5 - 1.11.5) <46A9D4F3-1EF8-373C-98A4-AD48D285E484> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x7fff92cb8000 - 0x7fff930e9ff7 com.apple.vision.FaceCore (3.3.2 - 3.3.2) <9391D5A3-738C-3136-9D07-518CB43DBADA> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
0x7fff94440000 - 0x7fff94440fff libmetal_timestamp.dylib (600.0.49.9) <E5EED927-1671-3390-BCBB-D76201D63C73> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
0x7fff9444d000 - 0x7fff94458ff3 libGPUSupportMercury.dylib (14.0.16) <7E99C736-2F48-313E-BEF6-6F8BABFADD9F> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
0x7fff94711000 - 0x7fff9472dfff com.apple.GenerationalStorage (2.0 - 267.1) <3DE1C580-D089-362D-8582-8DE68A3C5F13> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x7fff94e3e000 - 0x7fff94eb4ff3 com.apple.Heimdal (4.0 - 2.0) <8F9C9041-66D5-36C9-8A4C-1658035C311D> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x7fff954cf000 - 0x7fff954d6ffb com.apple.IOAccelerator (311.13 - 311.13) <40C04C41-A76A-3687-8D64-F76E8C46AA81> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
0x7fff954d8000 - 0x7fff954ecff7 com.apple.IOPresentment (1.0 - 29.10) <A3F7C1F6-CE50-3804-AAAF-7B75EBC46BE4> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
0x7fff954ed000 - 0x7fff9550ffff com.apple.IconServices (74.4 - 74.4) <218DDD05-35F4-3833-B98D-471ED0EBC031> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
0x7fff955f6000 - 0x7fff957adfff com.apple.LanguageModeling (1.0 - 123.2.5) <A8CA965F-0399-310D-91C3-B93DDDE9A442> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
0x7fff960ce000 - 0x7fff96147ff7 com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <C323FC94-FFA5-3EE6-B2AC-7E61EA92F304> /System/Library/PrivateFrameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
0x7fff962c1000 - 0x7fff962e9ff7 com.apple.MultitouchSupport.framework (368.16 - 368.16) <512ADEC6-D694-3D73-A48A-6BE79CD39539> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x7fff9639b000 - 0x7fff963a6fff com.apple.NetAuth (6.2 - 6.2) <97F487D6-8089-31A8-B68C-6C1EAC6ED1B5> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x7fff96c7e000 - 0x7fff96cbfff3 com.apple.PerformanceAnalysis (1.148.3 - 148.3) <6A21AB41-3AAA-32F3-9D46-2555A143A8B9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x7fff973a7000 - 0x7fff973c1fff com.apple.ProtocolBuffer (1 - 249.1) <A1F1B0F3-078F-378F-A9A9-0DEEA70E816A> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
0x7fff973da000 - 0x7fff973fdff3 com.apple.RemoteViewServices (2.0 - 124) <6B967FDA-6591-302C-BA0A-76C4856E584E> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x7fff980c4000 - 0x7fff980c7fff com.apple.SecCodeWrapper (4.0 - 307.50.21) <F8E957B2-D3F0-3B73-B38C-AE8868F00939> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
0x7fff98156000 - 0x7fff981e3fff com.apple.Sharing (696.2.67 - 696.2.67) <F681EE28-153F-3216-97A6-6F5E4148AB2E> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
0x7fff98204000 - 0x7fff9846afef com.apple.SkyLight (1.600.0 - 170.3) <83AB220F-48C0-3063-8ED3-ACDB69243B4D> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
0x7fff98649000 - 0x7fff98655ff7 com.apple.SpeechRecognitionCore (3.3.2 - 3.3.2) <684BD1EA-8268-331C-A5A9-080EB375C658> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
0x7fff98d41000 - 0x7fff98db5fdf com.apple.Symbolication (62048.1) <1A30ED19-7532-3F46-9DD3-9879A973D0CF> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x7fff991f4000 - 0x7fff991faff7 com.apple.TCC (1.0 - 1) <911B534B-4AC7-34E4-935E-E42ECD008CBC> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x7fff99286000 - 0x7fff9934cff7 com.apple.TextureIO (2.8 - 2.8) <3D61E533-4156-3B21-B7ED-CB823E680DFC> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
0x7fff993c0000 - 0x7fff993c1fff com.apple.TrustEvaluationAgent (2.0 - 28.50.1) <EBE65DD5-1732-3747-8C6C-7BECEBF089A4> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x7fff993c2000 - 0x7fff99552ff3 com.apple.UIFoundation (1.0 - 490.7) <2A3063FE-1790-3510-8A0E-AEC581D42B7E> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
0x7fff9a021000 - 0x7fff9a0e1fff com.apple.ViewBridge (283 - 283) <25A635B3-C87C-3D3A-ADF3-539713FA1048> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
0x7fff9a52c000 - 0x7fff9a532fff com.apple.XPCService (2.0 - 1) <4B28B225-2105-33F4-9ED0-F04288FF4FB1> /System/Library/PrivateFrameworks/XPCService.framework/Versions/A/XPCService
0x7fff9a603000 - 0x7fff9a605ffb com.apple.loginsupport (1.0 - 1) <F3140B97-12C3-35A7-9D3D-43DA2D13C113> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
0x7fff9a65a000 - 0x7fff9a675ff7 libCRFSuite.dylib (34) <F78B7F5F-0B4F-35C6-AA2F-84EE9CB22137> /usr/lib/libCRFSuite.dylib
0x7fff9a676000 - 0x7fff9a681fff libChineseTokenizer.dylib (21) <0886E908-A825-36AF-B94B-2361FD8BC2A1> /usr/lib/libChineseTokenizer.dylib
0x7fff9a713000 - 0x7fff9a714ff3 libDiagnosticMessagesClient.dylib (102) <84A04D24-0E60-3810-A8C0-90A65E2DF61A> /usr/lib/libDiagnosticMessagesClient.dylib
0x7fff9a715000 - 0x7fff9a928fff libFosl_dynamic.dylib (16.39) <E22A4243-D148-3C74-BA15-2D906A3D1F9E> /usr/lib/libFosl_dynamic.dylib
0x7fff9a944000 - 0x7fff9a94bfff libMatch.1.dylib (27) <70D4BD2A-9383-37F2-B0D6-9B592D236601> /usr/lib/libMatch.1.dylib
0x7fff9a94c000 - 0x7fff9a94cfff libOpenScriptingUtil.dylib (172) <90743888-C1E8-34E3-924E-1A754B2B63B9> /usr/lib/libOpenScriptingUtil.dylib
0x7fff9a94d000 - 0x7fff9a951ffb libScreenReader.dylib (477.40.6) <CBE6420C-EF60-3ACD-A0B6-7CBE936BA3B8> /usr/lib/libScreenReader.dylib
0x7fff9a952000 - 0x7fff9a953ffb libSystem.B.dylib (1238.60.2) <FC9E9F13-3B18-305C-BE0A-97C7843652B0> /usr/lib/libSystem.B.dylib
0x7fff9a9bf000 - 0x7fff9a9eaff3 libarchive.2.dylib (41.50.2) <B4F507BC-B24E-3BE7-B658-94D798E2CD81> /usr/lib/libarchive.2.dylib
0x7fff9a9eb000 - 0x7fff9aa67fc7 libate.dylib (1.12.13) <D0767875-D02E-3377-84D8-5F174C27BEA9> /usr/lib/libate.dylib
0x7fff9aa6b000 - 0x7fff9aa6bff3 libauto.dylib (187) <34388D0B-C539-3C1B-9408-2BC152162E43> /usr/lib/libauto.dylib
0x7fff9aa6c000 - 0x7fff9aa7cff3 libbsm.0.dylib (34) <20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
0x7fff9aa7d000 - 0x7fff9aa8bff7 libbz2.1.0.dylib (38) <ADFA329A-DCE7-356D-8F09-A3168DFC6610> /usr/lib/libbz2.1.0.dylib
0x7fff9aa8c000 - 0x7fff9aae2ff7 libc++.1.dylib (307.5) <0B43BB5D-E6EB-3464-8DE9-B41AC8ED9D1C> /usr/lib/libc++.1.dylib
0x7fff9aae3000 - 0x7fff9ab0dfff libc++abi.dylib (307.3) <30199352-88BF-30BD-8CFF-2A4FBE247523> /usr/lib/libc++abi.dylib
0x7fff9ab0e000 - 0x7fff9ab1effb libcmph.dylib (6) <2B5D405E-2D0B-3320-ABD6-622934C86ABE> /usr/lib/libcmph.dylib
0x7fff9ab1f000 - 0x7fff9ab35fcf libcompression.dylib (39) <F2726F95-F54E-3B21-BCB5-F7151DEFDC2F> /usr/lib/libcompression.dylib
0x7fff9ab36000 - 0x7fff9ab36ff7 libcoretls.dylib (121.50.4) <64B1001E-10F6-3542-A3B2-C4B49F51817F> /usr/lib/libcoretls.dylib
0x7fff9ab37000 - 0x7fff9ab38ff3 libcoretls_cfhelpers.dylib (121.50.4) <1A10303E-5EB0-3C7C-9165-021FCDFD934D> /usr/lib/libcoretls_cfhelpers.dylib
0x7fff9abf2000 - 0x7fff9acd7ff7 libcrypto.0.9.8.dylib (64.50.6) <D34E16A7-990A-37A9-933A-DFAA46554EAA> /usr/lib/libcrypto.0.9.8.dylib
0x7fff9ae75000 - 0x7fff9aec8ff7 libcups.2.dylib (450) <9950BFCB-7882-33C9-9ECF-CE66773C5657> /usr/lib/libcups.2.dylib
0x7fff9aec9000 - 0x7fff9af19ffb libcurl.4.dylib (95.50.2) <2E3E82EE-3710-3340-8B07-A285BDA385B1> /usr/lib/libcurl.4.dylib
0x7fff9af43000 - 0x7fff9af43fff libenergytrace.dylib (15) <A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
0x7fff9af53000 - 0x7fff9af58ff7 libheimdal-asn1.dylib (498.50.8) <A40E3196-235E-34CE-AD9A-8D1AFC5DE004> /usr/lib/libheimdal-asn1.dylib
0x7fff9af59000 - 0x7fff9b04bff7 libiconv.2.dylib (50) <42125B35-81D7-3FC4-9475-A26DBE10884D> /usr/lib/libiconv.2.dylib
0x7fff9b04c000 - 0x7fff9b271ffb libicucore.A.dylib (57165.0.1) <2931B842-2946-3576-AD1D-1CDA22FA1388> /usr/lib/libicucore.A.dylib
0x7fff9b277000 - 0x7fff9b278fff liblangid.dylib (126) <2085E7A7-9A34-3735-87F4-F174EF8EABF0> /usr/lib/liblangid.dylib
0x7fff9b279000 - 0x7fff9b292ffb liblzma.5.dylib (10) <44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
0x7fff9b293000 - 0x7fff9b2a9ff7 libmarisa.dylib (5) <9030D214-5D0F-30CB-AC03-902C63909362> /usr/lib/libmarisa.dylib
0x7fff9b2aa000 - 0x7fff9b552ff7 libmecabra.dylib (744.8) <D429FCC9-42A4-38B3-8784-44024BC859EF> /usr/lib/libmecabra.dylib
0x7fff9b585000 - 0x7fff9b5ffff3 libnetwork.dylib (856.60.1) <191E99F5-4723-3180-8013-02AF2F9AE4B8> /usr/lib/libnetwork.dylib
0x7fff9b600000 - 0x7fff9b9d2047 libobjc.A.dylib (709) <DC77AA6E-A4E4-326D-8D7F-82D63AA88F99> /usr/lib/libobjc.A.dylib
0x7fff9b9d5000 - 0x7fff9b9d9fff libpam.2.dylib (21.30.1) <71EB0D88-DE84-3C8D-A2C5-58AA282BC5BC> /usr/lib/libpam.2.dylib
0x7fff9b9da000 - 0x7fff9ba0bfff libpcap.A.dylib (67.60.1) <F6BC6ED6-AEE4-3520-B248-0C342636E2B0> /usr/lib/libpcap.A.dylib
0x7fff9ba28000 - 0x7fff9ba44ffb libresolv.9.dylib (64) <A244AE4C-00B0-396C-98FF-97FE4DB3DA30> /usr/lib/libresolv.9.dylib
0x7fff9ba45000 - 0x7fff9ba7efff libsandbox.1.dylib (592.60.1) <B3A1C3BD-084C-389B-9AFD-4BCFDBE9B5B6> /usr/lib/libsandbox.1.dylib
0x7fff9ba7f000 - 0x7fff9ba91ffb libsasl2.2.dylib (209) <32107C59-22C6-3049-B86E-9C2F85FF549B> /usr/lib/libsasl2.2.dylib
0x7fff9ba94000 - 0x7fff9bbe1ff7 libsqlite3.dylib (254.7) <07CD6DE3-394D-3C6A-A4B4-4CAB1054A041> /usr/lib/libsqlite3.dylib
0x7fff9bcd6000 - 0x7fff9bce3fff libxar.1.dylib (357) <69547C64-E811-326F-BBED-490C6361BDCB> /usr/lib/libxar.1.dylib
0x7fff9bce4000 - 0x7fff9bdd3ffb libxml2.2.dylib (30.16) <D2A6861B-D9FA-3BFC-B664-830C3FCE6065> /usr/lib/libxml2.2.dylib
0x7fff9bdd4000 - 0x7fff9bdfdfff libxslt.1.dylib (15.9) <00735AD5-B62D-3E83-86AC-5533E4E2B102> /usr/lib/libxslt.1.dylib
0x7fff9bdfe000 - 0x7fff9be0fff3 libz.1.dylib (67) <46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
0x7fff9be1e000 - 0x7fff9be22ff7 libcache.dylib (79) <093A4DAB-8385-3D47-A350-E20CB7CCF7BF> /usr/lib/system/libcache.dylib
0x7fff9be23000 - 0x7fff9be2dfff libcommonCrypto.dylib (60092.50.5) <8A64D1B0-C70E-385C-92F0-E669079FDA90> /usr/lib/system/libcommonCrypto.dylib
0x7fff9be2e000 - 0x7fff9be35fff libcompiler_rt.dylib (62) <55D47421-772A-32AB-B529-1A46C2F43B4D> /usr/lib/system/libcompiler_rt.dylib
0x7fff9be36000 - 0x7fff9be3efff libcopyfile.dylib (138) <819BEA3C-DF11-3E3D-A1A1-5A51C5BF1961> /usr/lib/system/libcopyfile.dylib
0x7fff9be3f000 - 0x7fff9bec2fdf libcorecrypto.dylib (442.50.19) <65D7165E-2E71-335D-A2D6-33F78E2DF0C1> /usr/lib/system/libcorecrypto.dylib
0x7fff9bec3000 - 0x7fff9bef4fff libdispatch.dylib (703.50.37) <6582BAD6-ED27-3B30-B620-90B1C5A4AE3C> /usr/lib/system/libdispatch.dylib
0x7fff9bef5000 - 0x7fff9befaffb libdyld.dylib (433.5) <EC3D88D2-3D40-3274-8E26-362C2D7352C8> /usr/lib/system/libdyld.dylib
0x7fff9befb000 - 0x7fff9befbffb libkeymgr.dylib (28) <7AA011A9-DC21-3488-BF73-3B5B14D1FDD6> /usr/lib/system/libkeymgr.dylib
0x7fff9befc000 - 0x7fff9bf08ffb libkxld.dylib (3789.60.24) <5DFCDC05-6CBC-35A6-8B92-DF6803492E12> /usr/lib/system/libkxld.dylib
0x7fff9bf09000 - 0x7fff9bf09fff liblaunch.dylib (972.60.2) <D3306CFF-58AA-3C90-B06C-B70E80E60C5B> /usr/lib/system/liblaunch.dylib
0x7fff9bf0a000 - 0x7fff9bf0fff3 libmacho.dylib (898) <17D5D855-F6C3-3B04-B680-E9BF02EF8AED> /usr/lib/system/libmacho.dylib
0x7fff9bf10000 - 0x7fff9bf12ff3 libquarantine.dylib (85.50.1) <12448CC2-378E-35F3-BE33-9DC395A5B970> /usr/lib/system/libquarantine.dylib
0x7fff9bf13000 - 0x7fff9bf14ffb libremovefile.dylib (45) <38D4CB9C-10CD-30D3-8B7B-A515EC75FE85> /usr/lib/system/libremovefile.dylib
0x7fff9bf15000 - 0x7fff9bf2dff7 libsystem_asl.dylib (349.50.5) <096E4228-3B7C-30A6-8B13-EC909A64499A> /usr/lib/system/libsystem_asl.dylib
0x7fff9bf2e000 - 0x7fff9bf2eff7 libsystem_blocks.dylib (67) <10DC5404-73AB-35B3-A277-A8AFECB476EB> /usr/lib/system/libsystem_blocks.dylib
0x7fff9bf2f000 - 0x7fff9bfbcfef libsystem_c.dylib (1158.50.2) <E5AE5244-7D0C-36AC-8BB6-C7AE7EA52A4B> /usr/lib/system/libsystem_c.dylib
0x7fff9bfbd000 - 0x7fff9bfc0ffb libsystem_configuration.dylib (888.60.2) <BECC01A2-CA8D-31E6-BCDF-D452965FA976> /usr/lib/system/libsystem_configuration.dylib
0x7fff9bfc1000 - 0x7fff9bfc4fff libsystem_coreservices.dylib (41.4) <7D26DE79-B424-3450-85E1-F7FAB32714AB> /usr/lib/system/libsystem_coreservices.dylib
0x7fff9bfc5000 - 0x7fff9bfddfff libsystem_coretls.dylib (121.50.4) <EC6FCF07-DCFB-3A03-9CC9-6DD3709974C6> /usr/lib/system/libsystem_coretls.dylib
0x7fff9bfde000 - 0x7fff9bfe4fff libsystem_dnssd.dylib (765.50.9) <CC960215-0B1B-3822-A13A-3DDE96FA796F> /usr/lib/system/libsystem_dnssd.dylib
0x7fff9bfe5000 - 0x7fff9c00eff7 libsystem_info.dylib (503.50.4) <611DB84C-BF70-3F92-8702-B9F28A900920> /usr/lib/system/libsystem_info.dylib
0x7fff9c00f000 - 0x7fff9c031ff7 libsystem_kernel.dylib (3789.60.24) <6E9E485F-91F6-36B7-A125-AE91DC978BCC> /usr/lib/system/libsystem_kernel.dylib
0x7fff9c032000 - 0x7fff9c079fe7 libsystem_m.dylib (3121.6) <86D499B5-BBDC-3D3B-8A4E-97AE8E6672A4> /usr/lib/system/libsystem_m.dylib
0x7fff9c07a000 - 0x7fff9c098ff7 libsystem_malloc.dylib (116.50.8) <A3D15F17-99A6-3367-8C7E-4280E8619C95> /usr/lib/system/libsystem_malloc.dylib
0x7fff9c099000 - 0x7fff9c0f2ffb libsystem_network.dylib (856.60.1) <369D0221-56CA-3C3E-9EDE-94B41CAE77B7> /usr/lib/system/libsystem_network.dylib
0x7fff9c0f3000 - 0x7fff9c0fcff3 libsystem_networkextension.dylib (563.60.2) <B021F2B3-8A75-3633-ABB0-FC012B8E9B0C> /usr/lib/system/libsystem_networkextension.dylib
0x7fff9c0fd000 - 0x7fff9c106ff3 libsystem_notify.dylib (165.20.1) <B8160190-A069-3B3A-BDF6-2AA408221FAE> /usr/lib/system/libsystem_notify.dylib
0x7fff9c107000 - 0x7fff9c10ffe7 libsystem_platform.dylib (126.50.8) <897462FD-B318-321B-A554-E61982630F7E> /usr/lib/system/libsystem_platform.dylib
0x7fff9c110000 - 0x7fff9c11aff7 libsystem_pthread.dylib (218.60.3) <B8FB5E20-3295-39E2-B5EB-B464D1D4B104> /usr/lib/system/libsystem_pthread.dylib
0x7fff9c11b000 - 0x7fff9c11eff7 libsystem_sandbox.dylib (592.60.1) <DC780631-BD23-36B1-9376-668619E18D25> /usr/lib/system/libsystem_sandbox.dylib
0x7fff9c11f000 - 0x7fff9c120ff3 libsystem_secinit.dylib (24.50.4) <F78B847B-3565-3E4B-98A6-F7AD40392E2D> /usr/lib/system/libsystem_secinit.dylib
0x7fff9c121000 - 0x7fff9c128ffb libsystem_symptoms.dylib (532.50.47) <3390E07C-C1CE-348F-ADBD-2C5440B45EAA> /usr/lib/system/libsystem_symptoms.dylib
0x7fff9c129000 - 0x7fff9c13cff7 libsystem_trace.dylib (518.60.2) <6B145B10-5874-3E89-90CD-D370DB475BA1> /usr/lib/system/libsystem_trace.dylib
0x7fff9c13d000 - 0x7fff9c142ffb libunwind.dylib (35.3) <3D50D8A8-C460-334D-A519-2DA841102C6B> /usr/lib/system/libunwind.dylib
0x7fff9c143000 - 0x7fff9c16cff7 libxpc.dylib (972.60.2) <1C9AF716-69DF-359F-85E9-7DFDE362F9A2> /usr/lib/system/libxpc.dylib

External Modification Summary:
Calls made by other processes targeting this process:
task_for_pid: 0
thread_create: 0
thread_set_state: 0
Calls made by this process:
task_for_pid: 0
thread_create: 0
thread_set_state: 0
Calls made by all processes on this machine:
task_for_pid: 2069
thread_create: 0
thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=275.6M resident=0K(0%) swapped_out_or_unallocated=275.6M(100%)
Writable regions: Total=132.1M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=132.1M(100%)

VIRTUAL REGION
REGION TYPE SIZE COUNT (non-coalesced)

Accelerate framework 256K 3
Activity Tracing 256K 2
CG backing stores 644K 4
CG image 36K 8
CoreAnimation 32K 6
CoreUI image data 704K 9
CoreUI image file 184K 5
Dispatch continuations 8192K 2
Kernel Alloc Once 8K 2
MALLOC 93.7M 35
MALLOC guard page 48K 9
Memory Tag 242 12K 2
OpenGL GLSL 256K 4
STACK GUARD 56.0M 9
Stack 11.6M 9
VM_ALLOCATE 132K 19
DATA 22.1M 292
GLSLBUILTINS 2588K 2
IMAGE 528K 2
LINKEDIT 124.1M 58
TEXT 151.5M 276
UNICODE 556K 2
mapped file 51.7M 14
shared memory 16.4M 13

TOTAL 541.2M 763

Model: MacBookAir6,2, BootROM MBA61.0099.B51, 2 processors, Intel Core i5, 1.4 GHz, 4 GB, SMC 2.13f15
Graphics: Intel HD Graphics 5000, Intel HD Graphics 5000, Built-In
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1600 MHz, 0x80AD, 0x483943434E4E4E384A544D4C41522D4E544D
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1600 MHz, 0x80AD, 0x483943434E4E4E384A544D4C41522D4E544D
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x117), Broadcom BCM43xx 1.0 (7.21.171.126.1a2)
Bluetooth: Version 5.0.4f18, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SD0128F, 121.33 GB
USB Device: USB 3.0 Bus
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
Thunderbolt Bus: MacBook Air, Apple Inc., 23.6

I will shortly add a valgrind to see if we are leaking anything.

jayji added a comment.Jul 16 2017, 8:02 AM

@stefan_schmidt unfortunately valgrind seems to still not have decent macOS 10.12 support, making the thing still hard to pinpoint.
I don't know if the kludge is worth it, as I've experienced the crash in some situations even with the kludge on.
I'll spend some time today on this... hoping for the best...

@eagles051387 unfortunately, valgrind was of no use for me as it died soon after being launched (cf. https://bugs.kde.org/show_bug.cgi?id=365327).
What I observed was that efl (edje and/or elementary) are crashing on shutdown. We can remove the faulty lines, but the behaviour is still broken in some cases. The root cause is still unknown, but it does not happen on macos 10.9...

@jayji would a potential git bisect help in this case since valgrind isnt yielding anythign useful?

jayji added a comment.Jul 16 2017, 8:55 AM

I'm pretty sure git bisect will be of no use. The bug has been there for a loong time. Also, since the osx build has been broken multiple times, over large commit periods, bisecting is trumendeous hard.
I've actually tried to bisect at some point, but since I'm taking about 20 minutes to build efl (even with a lot of things disabled), I found this unfeasible.

stefan_schmidt lowered the priority of this task from Showstopper Issues to High.Jul 26 2017, 7:53 AM

Given the problems to fully debug this I do not think it is feasible to have it as a showstopper bug. Still important but not a blocker.

Does issue severity usually change based on how difficult it is to fix?

Joking aside the only way we can possibly release with this open is to re-instate the workaround from previous release as the crash dialog popping up is a very serious no-go for release.

@ajwillia.ms obviously not, but do you want to put everything on hold until this one is fixed? You are welcome to help @jayji further debug and fix this. :)

I have no problem with adding the workaround from last time again but if you read the comments from jean you will find that he did also run into this problem with the workaround applied.

I added the bandaid back for this release.

Anyone testing on a osx system with latest HEAd would be appreciated.

jayji added a comment.Sep 3 2017, 10:23 AM

Nooooooooooooooooooooooooo... it spread to edje_cc making build break on master...............
and diff between efl-1.20 and master does not show anything suspiscious...

bu5hm4n added a subscriber: bu5hm4n.Sep 3 2017, 1:43 PM

From a quick code read from https://opensource.apple.com/
(esp.: https://opensource.apple.com/source/Libc/Libc-763.11/gen/_simple.c.auto.html)

Somthing is breaking in _simple_salloc, the only thing i can see that can break is that b is invalid or NULL or or or.

So what this seems to me is that we are somehow getting a invalid reference to a memory segment, from vm_allocate. I dont really know how that can be possible ... but i dont really see any other possibility how _simple_salloc could crash otherwise ...

The question is, what have we done that vm_allocate gives us a wrong pointer ? without annotating that in the return type ?

jayji added a comment.Sep 3 2017, 2:19 PM

My take on the problem would "just" be memory corruption. Something that valgrind could easily spot, if it was available... But on the other hand that seems macOS 10.12 SPECIFIC. And I don't like that...
I've also noticed ununderstandable thread join behaviour (that were not present before). eina_thead_join() does not return in some cases, even though the thread did exit. Since the threads are joinable, the only reason I can think of is that there was an earlier memory corruption. Also, when lldb is fired up, eina_thread_join() always return! Yay!
I've suspected the eina_freeq for some time, but couldn't prove it's involvment. What is funny is that when graphics are involved (i.e. elementary), it's eina_module that goes rogue.

jayji added a comment.Sep 3 2017, 2:45 PM

Ahah here is the explaination of why eina_thread_join() does not return :

* thread #1: tid = 0x48bd9a, 0x00007fff8e3a531e libsystem_kernel.dylib`__ulock_wait + 10, stop reason = signal SIGSTOP
  * frame #0: 0x00007fff8e3a531e libsystem_kernel.dylib`__ulock_wait + 10
    frame #1: 0x00007fff8e488aff libsystem_platform.dylib`_os_ulock_wait + 25
    frame #2: 0x00007fff8e4883d2 libsystem_platform.dylib`_os_unfair_lock_lock_slow + 130
    frame #3: 0x00007fff8e4915f7 libsystem_pthread.dylib`pthread_join + 187
    frame #4: 0x0000000000776b51 libeina.1.dylib`_eina_thread_join + 33
    frame #5: 0x0000000000776b25 libeina.1.dylib`eina_thread_join + 21
    frame #6: 0x00000000003aaf48 libevas.1.dylib`evas_thread_shutdown + 344
    frame #7: 0x0000000000210e82 libevas.1.dylib`evas_shutdown + 370
    frame #8: 0x00000000008cd547 libedje.1.dylib`_edje_shutdown_core + 311
    frame #9: 0x00000000008cd5f9 libedje.1.dylib`edje_shutdown + 121
    frame #10: 0x0000000100002764 edje_cc`main(argc=9, argv=0x00007fff5fbff748) + 4964 at edje_cc.c:426
    frame #11: 0x00007fff8e276235 libdyld.dylib`start + 1
    frame #12: 0x00007fff8e276235 libdyld.dylib`start + 1

But whyyyyy?! So unfair... pun intended.

eagles051387 added a comment.EditedSep 4 2017, 8:09 AM

I did a bit of research it is possible to use the native xcode memory profiler

profiling c programs in xcode

seems like you just need to attach it to the efler profile. I am not really going to have much time to test this tonight but give me till tomorrow and I can try this out and see if I manage to get the memory profiling to work on osx. At least that way I can put together a guide on the steps needed to run the profiler.

Hi, a great catch - Instruments on it's own can indeed profile generic applications.
Not entirely sure if we get the full goodness but here's what I was able to ascertain so far - this is on an older OS X that does *not* crash (El Capitan).

(I cannot seem to get the traces of each call and this may or may not be a limitation of profiling binaries)

largest "leak" seems to be allocations from evas_common_font_query_kerning
LaunchServices makes a lot of allocations from: ___LSScheduleNotificationFunction_block_invoke_2
And AppKit seems to allocate a bunch from NSCGSOnScreenWindowsForConnectionID

Most of these could be seen as correct but the allocations don't seem to be returned and it grows fairly fast according to the tallies - around 20k/s is added to the footprint when it's idle in the background...

Does this tally with what folk experience on the latest version? Should I upgrade (to Sierra) as we're happy about the older version now?

bu5hm4n added a comment.EditedSep 4 2017, 9:06 AM

@jayji I think this is a problem in evas_thread_render.c

can you try

commit f3e6169bfba18396738ebf894577a1d35cef76b0 (HEAD -> master)
Author: Marcel Hollerbach <marcel-hollerbach@t-online.de>
Date:   Mon Sep 4 18:04:05 2017 +0200

    evas_thread: cleanup thread id once the thread is done

diff --git a/src/lib/evas/common/evas_thread_render.c /src/lib/evas/common/evas_thread_render.c
index bbde81a657..3572d6fd86 100644
--- a/src/lib/evas/common/evas_thread_render.c
+++ b/src/lib/evas/common/evas_thread_render.c
@@ -177,6 +177,7 @@ evas_thread_worker_func(void *data EINA_UNUSED, Eina_Thread hread EINA_UNUSED)
 out:
    /* WRN: add a memory barrier or use a lock if we add more code here */
    evas_thread_exited = 1;
+   evas_thread_worker = 0;
    return NULL;
 }

@@ -260,8 +261,8 @@ evas_thread_shutdown(void)
              goto timeout_shutdown;
           }
      }
-
-   eina_thread_join(evas_thread_worker);
+   if (evas_thread_exited)
+     eina_thread_join(evas_thread_worker);
 timeout_shutdown:
    eina_lock_free(&evas_thread_queue_lock);
    eina_condition_free(&evas_thread_queue_condition);

I think we should have some debugging code somewhere so we see when we are waiting on dead threads ...

jayji added a comment.Sep 4 2017, 9:28 AM

seems dreadful :D I'll try this out, though.
What really bugs me with this file is have the conditions are handled

jayji added a comment.Sep 4 2017, 9:30 AM

and I got EINA ERROR: resource busy on mutex_destroy 0xblabhabl
Than it exits normally (seems legit, since we didn't join the right id
But I also don't have 100% clean code, since I've reworked this file a bit.

hehehe, so its a halfwayssolution :D

bu5hm4n added a subscriber: cedric.Sep 4 2017, 10:49 AM

Okay, thats probebly a better patch:

commit 328ab2c7d856964900ee111a8e9e09cf644867b1 (HEAD -> master)
Author: Marcel Hollerbach <marcel-hollerbach@t-online.de>
Date:   Mon Sep 4 19:44:03 2017 +0200

    evas_thread: only join the thread if the thread is still alive

diff --git a/src/lib/evas/common/evas_thread_render.c b/src/lib/evas/common/evas_thread_render.c
index bbde81a657..62f0ba1577 100644
--- a/src/lib/evas/common/evas_thread_render.c
+++ b/src/lib/evas/common/evas_thread_render.c
@@ -260,8 +260,8 @@ evas_thread_shutdown(void)
              goto timeout_shutdown;
           }
      }
-
-   eina_thread_join(evas_thread_worker);
+   if (!evas_thread_exited)
+     eina_thread_join(evas_thread_worker);
 timeout_shutdown:
    eina_lock_free(&evas_thread_queue_lock);
    eina_condition_free(&evas_thread_queue_condition);

Turned out that having the id as 0 is NOT a good idea, some apis of eina_thread are returning if thread is 0 but there is nothing that permits pthread_create from assigning the id 0 ... I think we should have here some sort of solution for this :)
@cedric Do you also see that !t in some apis is not the best idea and we need a different solution there?

jayji added a comment.Sep 4 2017, 3:12 PM

Lol. Found (at least for the edje_cc stuff). Commit will follow... shame...